Bug 103587 - [HELP] Missing Help for options in Find & Replace dialog: General: Ignore diacritics/ kashida; Calc: Formatted display / Wildcards
Summary: [HELP] Missing Help for options in Find & Replace dialog: General: Ignore dia...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2016-10-30 14:51 UTC by Stanislav Horacek
Modified: 2021-05-31 06:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2016-10-30 14:51:28 UTC
In the Find & Replace dialog (Edit - Find & Replace), some options are not explained at the corresponding help page:

All modules (if CTL languages are enabled):
Ignore diacritics CTL
Ignore kashida CTL

Calc:
Formatted display
Wildcards

The source of the help page can be found at source/text/shared/01/02100000.xhp.
Comment 1 Olivier Hallot 2016-10-31 11:31:52 UTC
Does the patch

https://gerrit.libreoffice.org/gitweb?p=help.git;a=commitdiff;h=afded9511ec67e7181ffcc2614bf4c676539efcd

"update description of Find and Replace dialog"


fix the issue?

(note: wherever possible, put bug number in first line of patch description)
Comment 2 Stanislav Horacek 2016-10-31 12:16:37 UTC
No, the patch deals with changes of the options that are already described, the four new options still have no description. (And I don't know their meaning.)
Comment 3 Khaled Hosny 2016-11-06 19:08:01 UTC
Ignore diacritics CTL: Ignores Unicode combining marks when searching, so searching for كتب will match كَتَبَ or كُتُب or كتِب and so on.

Ignore kashida CTL: Ignore the Arabic Tatweel mark U+0640 (also known as Kashida) when searching, so searching for كتاب will match كـتاب or كتــــاب and so on.
Comment 4 Khaled Hosny 2016-11-06 19:09:09 UTC
BTW I think the “CTL” part is the labels is redundant and confusing technical jargon that should be dropped.
Comment 5 Buovjaga 2016-11-18 16:21:37 UTC
I bet this can be changed to NEW
Comment 6 Cor Nouws 2017-10-18 18:17:39 UTC
still not fixed in Version: 6.0.0.0.alpha0+
Build ID: 616f21db9e50a77b0c02dfb123f871a742f46216
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-10-16_22:37:26
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 7 Cor Nouws 2017-10-18 18:18:12 UTC
info for the wild cards:

"Wildcards are
    * (asterisk) any sequence of characters, including empty sequence
    ? (question mark) any character, exactly one
    ~ (tilde) escapes the special meaning of the following asterisk, question mark or tilde
 https://bugs.documentfoundation.org/show_bug.cgi?id=72196 & 
https://cgit.freedesktop.org/libreoffice/core/commit/?id=393f11f88648e1c7cace6224aa7afcbf9d68ddd6 & 
https://wiki.documentfoundation.org/ReleaseNotes/5.2#Support_wildcards_to_be_compatible_with_XLS.2FXLSX_and_with_ODF_1.2 "
Comment 8 Cor Nouws 2017-10-18 18:21:39 UTC
for "Formatted display"

https://wiki.documentfoundation.org/ReleaseNotes/5.1#Calc
  "Option to search formatted display strings using find bar and also "Find & Replace" dialog. tdf#48456 (Dennis Francis)"
  https://bugs.documentfoundation.org/show_bug.cgi?id=48456
Comment 9 Cor Nouws 2017-10-18 18:24:27 UTC
(In reply to Cor Nouws from comment #8)
> for "Formatted display"

In short, I think, "search for xx, as formatted on display"
Comment 10 Commit Notification 2021-01-09 12:50:24 UTC
Balaharipreetha Muthu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/e3ac5513e2a4729063413ba131ef0cb5cb8f6daf

tdf#103587 - Find and Replace : Add explanations for options: Kashida sensitive and Diacritics sensitive.
Comment 11 Stanislav Horacek 2021-04-24 09:57:43 UTC
Isn't the new description for diacritics (and similarly for kashida) "Searches exact match, does not include Unicode combining marks in search" confusing? I would expect the opposite "searches exact match, including Unicode combining marks".